countryDefaults
Public: no authentication required.
Get default settings for a country
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
query CountryDefaults($countryCode: String!) {
countryDefaults(countryCode: $countryCode) {
countryCode
currencyCode
countryName
currencyName
currencySymbol
dateFormat
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "query CountryDefaults($countryCode: String!) {\n countryDefaults(countryCode: $countryCode) {\n countryCode\n currencyCode\n countryName\n currencyName\n currencySymbol\n dateFormat\n }\n}",
"variables": {
"countryCode": "string"
}
}
EOF
Variables:
{
"countryCode": "string"
}
Response:
{
"data": {
"countryDefaults": {
"countryCode": "string",
"currencyCode": "string",
"countryName": "string",
"currencyName": "string",
"currencySymbol": "string",
"dateFormat": "string"
}
}
}
countryDefaults(
countryCode: String!
): CountryDefaults
Arguments
countryDefaults.countryCode ● String! non-null scalar
The two-letter ISO country code.
Type
CountryDefaults object
The defaults of a country, used to set up an organization.